package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class FileUploadModel {

    private Integer id;

    private String filename;

    private String filetypename;

    private String filetypecode;

    private String version;

    private String filepath;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date uploadtime;

    private String uploadman;

    private Integer uploadsize;

    private String uploadpass;

    private String fileinfo;

    private Integer page;//页码

    private Integer rows;//每页条数

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getFiletypename() {
        return filetypename;
    }

    public void setFiletypename(String filetypename) {
        this.filetypename = filetypename;
    }

    public String getFiletypecode() {
        return filetypecode;
    }

    public void setFiletypecode(String filetypecode) {
        this.filetypecode = filetypecode;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getFilepath() {
        return filepath;
    }

    public void setFilepath(String filepath) {
        this.filepath = filepath;
    }

    public Date getUploadtime() {
        return uploadtime;
    }

    public void setUploadtime(Date uploadtime) {
        this.uploadtime = uploadtime;
    }

    public String getUploadman() {
        return uploadman;
    }

    public void setUploadman(String uploadman) {
        this.uploadman = uploadman;
    }

    public Integer getUploadsize() {
        return uploadsize;
    }

    public void setUploadsize(Integer uploadsize) {
        this.uploadsize = uploadsize;
    }

    public String getUploadpass() {
        return uploadpass;
    }

    public void setUploadpass(String uploadpass) {
        this.uploadpass = uploadpass;
    }

    public String getFileinfo() {
        return fileinfo;
    }

    public void setFileinfo(String fileinfo) {
        this.fileinfo = fileinfo;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }
}
